Summary:	Extra Sounds for Asterisk, The Open Source PBX
Name:		asterisk-extra-sounds
Version:    1.5.2
Release:    1%{?dist}
License:    CCPL
URL:        http://www.asterisk.org/
BuildArch:  noarch

BuildRequires: wget

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.

%package	en
Summary:	Asterisk extra sounds - en
Group:		Utilities/System
Provides:   %{name} = %{version}-%{release}

%description en
This package contains Asterisk extra sounds - en.

%package	en_GB
Summary:	Asterisk extra sounds - en_GB
Group:		Utilities/System
Provides:   %{name} = %{version}-%{release}

%description en_GB
This package contains Asterisk extra sounds - en_GB.

%package	fr
Summary:	Asterisk extra sounds - fr
Group:		Utilities/System
Provides:   %{name} = %{version}-%{release}

%description fr
This package contains Asterisk extra sounds - fr.

%prep

wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-alaw-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-g722-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-g729-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-gsm-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-siren7-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-siren14-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-sln16-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-ulaw-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en-wav-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-alaw-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-g722-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-g729-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-gsm-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-siren7-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-siren14-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-sln16-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-ulaw-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-en_GB-wav-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-alaw-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-g722-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-g729-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-gsm-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-siren7-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-siren14-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-sln16-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-ulaw-%{version}.tar.gz
wget -c https://downloads.asterisk.org/pub/telephony/sounds/releases/asterisk-extra-sounds-fr-wav-%{version}.tar.gz

%build

%install

mkdir -p %{buildroot}/usr/share/asterisk/sounds/en/
mkdir -p %{buildroot}/usr/share/asterisk/sounds/en_GB/
mkdir -p %{buildroot}/usr/share/asterisk/sounds/fr/

tar xof asterisk-extra-sounds-en-alaw-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en-g722-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en-g729-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en-gsm-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en-siren7-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en-siren14-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en-sln16-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en-ulaw-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en-wav-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en/
tar xof asterisk-extra-sounds-en_GB-alaw-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-en_GB-g722-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-en_GB-g729-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-en_GB-gsm-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-en_GB-siren7-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-en_GB-siren14-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-en_GB-sln16-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-en_GB-ulaw-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-en_GB-wav-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/en_GB/
tar xof asterisk-extra-sounds-fr-alaw-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/
tar xof asterisk-extra-sounds-fr-g722-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/
tar xof asterisk-extra-sounds-fr-g729-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/
tar xof asterisk-extra-sounds-fr-gsm-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/
tar xof asterisk-extra-sounds-fr-siren7-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/
tar xof asterisk-extra-sounds-fr-siren14-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/
tar xof asterisk-extra-sounds-fr-sln16-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/
tar xof asterisk-extra-sounds-fr-ulaw-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/
tar xof asterisk-extra-sounds-fr-wav-%{version}.tar.gz -C %{buildroot}/usr/share/asterisk/sounds/fr/

%clean
rm -rf %{buildroot}

%post

%files en
%attr(0664,asterisk,asterisk) /usr/share/asterisk/sounds/en/*

%files en_GB
%attr(0664,asterisk,asterisk) /usr/share/asterisk/sounds/en_GB/*

%files fr
%attr(0664,asterisk,asterisk) /usr/share/asterisk/sounds/fr/*

%changelog
* Mon Dec 16 2019 Mike WeX <wex.tmpvar@gmail.com> - 1.5.2-1
- Rebuilt for EPEL-8